.Search_Product_Offcanvas {
    background: transparent !important;
    border: none !important;
    height: auto !important;
    top: 156px !important;
}

.Search_Product_Offcanvas .offcanvas-body {}

.Search_Product_Offcanvas .offcanvas-body .main_search_div {
    background-color: #fff;
    padding: 40px;
    border-radius: 4px;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .top_searc_div {
    position: relative;
    margin-bottom: 10px;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .top_searc_div .search_icon_holder {
    position: absolute;
    top: 7px;
    left: 0px;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .top_searc_div .search_icon_holder .search_icon {
    color: #441943;
    font-size: 20px;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .top_searc_div .form-control {
    border-radius: 0px;
    border: none;
    border-bottom: 1px solid #707070;
    padding: 10px 0px 10px 40px;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .top_searc_div .clear_div {
    position: absolute;
    top: 7px;
    right: 0px;
    cursor: pointer;
}
.Search_Product_Offcanvas .offcanvas-body .main_search_div .top_searc_div .clear_div .inner_img {
    width: 22px;
    height: 22px;
    cursor: pointer;
    filter: hue-rotate(45deg);
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div {}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggestion_text {
    color: #202020;
    font-size: 14px;
    font-weight: 700;
    margin-bottom: 10px;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div {
    display: flex;
    align-items: center;
    overflow-x: auto;
    overflow-y: hidden;
    margin-bottom: 20px;
}


.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div::-webkit-scrollbar {
    height: 6px; /* scrollbar height */
}

/* Scrollbar Track */
.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

/* Scrollbar Thumb */
.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div::-webkit-scrollbar-thumb {
    background: #6b4182;
    border-radius: 10px;
}

/* Hover Effect */
.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div::-webkit-scrollbar-thumb:hover {
    background: #163452;
}
.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div .box_div {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border: 0.5px solid #707070;
    border-radius: 4px;
    width: -moz-fit-content;
    width: fit-content;
    padding: 6px 10px;
    margin-right: 14px;
    cursor: pointer;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div .box_div:hover {
    background: #6b4085;
    color: #fff;
}
.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div .box_div .inner_text {
    color: #202020;
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 0px;
    white-space: nowrap;
}
.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div .box_div:hover .inner_text {
    color: #fff;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div {}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs {}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div {
    background: #693f8114 0% 0% no-repeat padding-box;
    border: 0.5px solid #6c4483bf;
    border-radius: 4px;
    padding: 20px;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    cursor: pointer;
}
.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .img_holder {
    height: 70px;
    width: auto;
    margin-right: 10px;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .img_holder .inner_img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .text_holder {}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .text_holder .title_text {
    color: #202020;
    font-size: 15px;
    font-weight: 600;
    margin-bottom: 5px;
}

.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .text_holder .price {
    color: #6b4085;
    font-size: 15px;
    font-weight: 700;
    margin-bottom: 0px;
}
.Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .btn_holder {
    display: flex;
    justify-content: center;
    margin-top: 40px;
    width: 150px;
    margin: 40px auto 0px;
}


@media (min-width:0px) and (max-width: 575px) {

    .Search_Product_Offcanvas {
        top: 10px !important;
    }

    .Search_Product_Offcanvas .offcanvas-body .main_search_div {
        padding: 20px;
    }

    .Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .btn_holder {
        margin-top: 20px;
    }

    .Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div {
        padding: 10px;
        margin-bottom: 10px;
    }

    .Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .all_suggestion_div .box_div .inner_text {
        text-wrap-mode: nowrap;
    }

    .Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .text_holder .title_text {
        font-size: 14px;
    }

    .Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .img_holder {
        height: 60px;
    }
}

@media (min-width:576px) and (max-width: 767.98px) {
    .Search_Product_Offcanvas .offcanvas-body .main_search_div {
        padding: 20px;
    }
}

@media (min-width:576px) and (max-width: 1199px) {
    .Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div {
        padding: 10px;
    }

    .Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .text_holder .title_text {
        font-size: 14px;
    }

    .Search_Product_Offcanvas .offcanvas-body .main_search_div .prods_div .suggested_prods_div .all_divs .blue_div .img_holder {
        height: 60px;
    }
}